Yii Framework Forum: Important note about Bower and the asset plugin - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

Important note about Bower and the asset plugin Update your asset plugin now! Rate Topic: -----

#1 User is offline   CeBe 

  • Advanced Member
  • Yii
  • Group: Yii Dev Team
  • Posts: 567
  • Joined: 16-July 10
  • Location:Berlin. Germany

Posted 20 October 2017 - 03:22 AM

Bower has changed their registry URL some time ago and has now announced to deprecate the old URL. Old registry will be disabled next Wednesday. In order for your work not to be affected make sure to update your composer asset plugin to the latest version:

composer global require "fxp/composer-asset-plugin:^1.4.2"


Versions prior to 1.4.2 use the https://bower.herokuapp.com/packages URL for fetching bower packages, which currently redirects to https://registry.bower.io/packages. This URL will be disabled on Wednesday, October 26, 2017 according to the Bower announcement so asset plugin versions prior to 1.4.2 will not be able to fetch any packages.

There is also a news announcement about this.
2

#2 User is offline   exigotech_ro 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 1
  • Joined: 30-July 15

Posted 20 October 2017 - 11:07 AM

I had the first bower issues couple of weeks ago.
Yii2-pjax failed install by way of composer.
I had to use bower to install it and the commands are below:


```bash
cd /var/www/<basic_web_app>
bower init
bower install yii2-pjax --save

#optional
bower install jquery-pjax --save
bower install bootstrap --save
bower install jquery --save

```
0

#3 User is offline   jacmoe 

  • Elite Member
  • Yii
  • Group: Moderators
  • Posts: 3,694
  • Joined: 10-October 10
  • Location:Denmark

Posted 20 October 2017 - 12:11 PM

It is ironic, because Bower keeps nagging us to ditch it and start using Yarn & Webpack.

Why can't things stay simple ? :)
"Less noise - more signal"
1

#4 User is online   alrazi 

  • Elite Member
  • Yii
  • Group: Moderators
  • Posts: 1,368
  • Joined: 08-August 12
  • Location:Durban, South Africa

Posted 31 October 2017 - 12:23 AM

I know its planned for 2.1 but bower is ending support even bower itself recommends moving to npm or yarn.
0

#5 User is offline   jacmoe 

  • Elite Member
  • Yii
  • Group: Moderators
  • Posts: 3,694
  • Joined: 10-October 10
  • Location:Denmark

Posted 31 October 2017 - 06:31 AM

No, Bower is still maintained. Yes, it advocates people to migrate, but that doesn't mean that it's EOL.
For javascript, yes: yarn/npm would be a good route to go. For everyone else: definitely not.
"Less noise - more signal"
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users